%define debug_package %{nil}

%define oname GtkD

%define api 3
%define major 0
%define libgstreamerd %mklibname gstreamerd %{api} %{major}
%define libgtkd %mklibname gtkd %{api} %{major}
%define libgtkdsv %mklibname gtkdsv %{api} %{major}
%define libpeasd %mklibname peasd %{api} %{major}
%define libvted %mklibname vted %{api} %{major}
%define devname %mklibname gtkd -d

Summary:	GtkD is a D binding and OO wrapper of GTK+
Name:		gtkd
Version:	3.8.3
Release:	1
License:	LGPLv2+
Group:		Development/GNOME and GTK+
Url:		http://gtkd.org/
Source0:	https://gtkd.org/Downloads/sources/%{oname}-%{version}.zip
Patch0:		gtkd-3.5.1-no-ldconfig.patch
BuildRequires:	ldc
BuildRequires:	phobos2-ldc-devel
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(vte-2.91)
# Explicit require since gtkd use dlopen internally so rpm can't detect this.
%define dlopenreq() %([ -e %{_libdir}/lib%{1}.so ] && rpm -qf --qf '%%{name}' $(readlink -f %{_libdir}/lib%{1}.so) 2>/dev/null || echo %{name})
Requires:	%dlopenreq atk-1.0
Requires:	%dlopenreq cairo
Requires:	%dlopenreq curl
Requires:	%dlopenreq gdk_pixbuf-2.0
Requires:	%dlopenreq GL
Requires:	%dlopenreq GLU
Requires:	%dlopenreq gstreamer-1.0
Requires:	%dlopenreq gtk-3
Requires:	%dlopenreq gtksourceview-3.0
Requires:	%dlopenreq peas-1.0
Requires:	%dlopenreq peas-gtk-1.0
Requires:	%dlopenreq pango-1.0
Requires:	%dlopenreq vte-2.91

%description
GtkD is a D binding and OO wrapper of GTK+ and is released on the LGPL license.

%files

#----------------------------------------------------------------------------

%package -n %{libgstreamerd}
Summary:	Shared library for D bindings of GTK+
Group:		System/Libraries
Requires:	%{name}

%description -n %{libgstreamerd}
Shared library for D bindings of GTK+.

%files -n %{libgstreamerd}
%{_libdir}/libgstreamerd-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgtkd}
Summary:	Shared library for D bindings of GTK+
Group:		System/Libraries
Requires:	%{name}

%description -n %{libgtkd}
Shared library for D bindings of GTK+.

%files -n %{libgtkd}
%{_libdir}/libgtkd-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libpeasd}
Summary:	Shared library for D bindings of GTK+
Group:		System/Libraries
Requires:	%{name}

%description -n %{libpeasd}
Shared library for D bindings of GTK+.

%files -n %{libpeasd}
%{_libdir}/libpeasd-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgtkdsv}
Summary:	Shared library for D bindings of GTK+
Group:		System/Libraries
Requires:	%{name}

%description -n %{libgtkdsv}
Shared library for D bindings of GTK+.

%files -n %{libgtkdsv}
%{_libdir}/libgtkdsv-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libvted}
Summary:	Shared library for D bindings of GTK+
Group:		System/Libraries
Requires:	%{name}

%description -n %{libvted}
Shared library for D bindings of GTK+.

%files -n %{libvted}
%{_libdir}/libvted-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for D bindings of GTK+
Group:		Development/GNOME and GTK+
Requires:	%{libgstreamerd} = %{EVRD}
Requires:	%{libgtkdsv} = %{EVRD}
Requires:	%{libgtkd} = %{EVRD}
Requires:	%{libpeasd} = %{EVRD}
Requires:	%{libvted} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on Baloo.

%files -n %{devname}
%{_includedir}/d/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------


%prep
%setup -qc -T
unzip -q -x %{SOURCE0}
%patch0 -p1

%build
%make \
	prefix=%{_prefix} \
	datadir=%{_libdir} \
	libdir=%{_lib} \
	shared-gstreamer \
	shared-libs \
	shared-vte

%install
# Create missing directory
mkdir -p %{buildroot}%{_datadir}/pkgconfig

%make \
	DESTDIR=%{buildroot} \
	prefix=%{_prefix} \
	datadir=%{_libdir} \
	libdir=%{_lib} \
	install-shared \
	install-headers \
	install-shared-gstreamer \
	install-headers-gstreamer \
	install-shared-vte \
	install-headers-vte

%changelog
